---
title: DOMRect.DOMRect()
slug: Web/API/DOMRect/DOMRect
tags:
  - API
  - Constructor
  - DOM Reference
  - DOMRect
  - Experimental
  - Geometry
  - Reference
---
<p>{{APIRef("DOM")}}{{ SeeCompatTable() }}</p>

<p>The <strong><code>DOMRect()</code></strong> constructor creates a new {{domxref("DOMRect")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myDOMRect = new DOMRect(x, y, width, height);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>x</dt>
 <dd>The <code>x</code> coordinate of the <code>DOMRect</code>'s origin.</dd>
 <dt>y</dt>
 <dd>The <code>y</code> coordinate of the <code>DOMRect</code>'s origin.</dd>
 <dt>width</dt>
 <dd>The width of the <code>DOMRect</code>.</dd>
 <dt>height</dt>
 <dd>The height of the <code>DOMRect</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To create a new <code>DOMRect</code>, you could run a line of code like so:</p>

<pre class="brush: js">myDOMRect = new DOMRect(0,0,100,100);
// running 'myDOMRect' in the console would then return
// DOMRect { x: 0, y: 0, width: 100, height: 100, top: 0, right: 100, bottom: 100, left: 0 }
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-domrect-domrect', 'DOMRect()')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMRect.DOMRect")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DOMPoint")}}</li>
 <li>{{domxref("DOMRect")}}</li>
</ul>
